edu.northwestern.at.morphadorner.tools.tcp

## Class SuperFixer

- java.lang.Object
- - edu.northwestern.at.morphadorner.tools.tcp.SuperFixer

-     public class SuperFixer
      extends java.lang.Object

  SuperFixer marks "^" characters with special tags.

  Usage:

  >       java edu.northwestern.at.morphadorner.tools.tcp.SuperFixer outputdirectory input1.xml input2.xml ...

  where outputdirectory is the output directory containing the resultant XML files with <zzzzlj>text</zzzzlj> added to surround tokens containing "^" superscript markers, and input*.xml are the input tokenized XML files.

  Tokens which end in ^d where "d" is a single digit are converted to the token followed by a d. This provides for inserting the missing targets of these apparent note references at a later editing stage.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.regex.Matcher` | `matcher`
    `protected static java.util.regex.Pattern` | `pattern` Main ^ character replacer.
    `protected static PatternReplacer` | `replacer1` Superscript number replacers.
    `protected static PatternReplacer` | `replacer2`
    `protected static org.jdom2.Namespace` | `teiNamespace` TEI name spaces.
    `protected static org.jdom2.Namespace` | `teiNamespace2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuperFixer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Main program.
    `static void` | `superFixer(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### teiNamespace

          protected static org.jdom2.Namespace teiNamespace

      TEI name spaces.

    - #### teiNamespace2

          protected static org.jdom2.Namespace teiNamespace2

    - #### replacer1

          protected static PatternReplacer replacer1

      Superscript number replacers.

    - #### replacer2

          protected static PatternReplacer replacer2

    - #### pattern

          protected static java.util.regex.Pattern pattern

      Main ^ character replacer.

    - #### matcher

          protected static java.util.regex.Matcher matcher

  - ### Constructor Detail

    - #### SuperFixer

          public SuperFixer()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Main program.

    - #### superFixer

          public static void superFixer(java.lang.String[] args)
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`